|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# QToolBarChangeEvent Class Reference

The QToolBarChangeEvent class provides an event that is sent whenever a the toolbar button is clicked on Mac OS X. More...

    #include <QToolBarChangeEvent>

Part of the QtGui module.

Inherits QEvent.

- List of all members, including inherited members

### Public Functions

- ~QToolBarChangeEvent ()
- bool toggle () const

- 6 public functions inherited from QEvent

### Additional Inherited Members

- 1 property inherited from QEvent

## Detailed Description

The QToolBarChangeEvent class provides an event that is sent whenever a the toolbar button is clicked on Mac OS X.

The QToolBarChangeEvent is sent when the toolbar button is clicked. On Mac OS X, this is the long oblong button on the right side of the window titlebar. The default implementation is to toggle the appearance (hidden or shown) of the associated toolbars for the window.

## Member Function Documentation

### QToolBarChangeEvent::~QToolBarChangeEvent ()

### bool QToolBarChangeEvent::toggle () const